
/**
 *  @file attributestrings.C
 *
 *  @brief Attribute string implementation.  This file is autogenerated and
 *      should not be altered.
 */

//******************************************************************************
// Includes
//******************************************************************************

// STD
#include <stdint.h>
#include <stdlib.h>

// Targeting component
#include <targeting/common/attributes.H>

namespace TARGETING {

//******************************************************************************
// attrToString<ATTR_CDM_DOMAIN>
//******************************************************************************

template<>
const char* attrToString<ATTR_CDM_DOMAIN> (
    AttributeTraits<ATTR_CDM_DOMAIN>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case CDM_DOMAIN_NONE:
            return "NONE";
        case CDM_DOMAIN_CPU:
            return "CPU";
        case CDM_DOMAIN_DIMM:
            return "DIMM";
        case CDM_DOMAIN_FABRIC:
            return "FABRIC";
        case CDM_DOMAIN_MEM:
            return "MEM";
        case CDM_DOMAIN_IO:
            return "IO";
        case CDM_DOMAIN_NODE:
            return "NODE";
        case CDM_DOMAIN_CLOCK:
            return "CLOCK";
        case CDM_DOMAIN_PSI:
            return "PSI";
        case CDM_DOMAIN_FSP:
            return "FSP";
        case CDM_DOMAIN_ALL:
            return "ALL";
        default:
            return "Cannot decode CDM_DOMAIN";
    }
}

//******************************************************************************
// attrToString<ATTR_CLASS>
//******************************************************************************

template<>
const char* attrToString<ATTR_CLASS> (
    AttributeTraits<ATTR_CLASS>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case CLASS_NA:
            return "NA";
        case CLASS_CARD:
            return "CARD";
        case CLASS_ENC:
            return "ENC";
        case CLASS_CHIP:
            return "CHIP";
        case CLASS_UNIT:
            return "UNIT";
        case CLASS_DEV:
            return "DEV";
        case CLASS_SYS:
            return "SYS";
        case CLASS_LOGICAL_CARD:
            return "LOGICAL_CARD";
        case CLASS_BATTERY:
            return "BATTERY";
        case CLASS_LED:
            return "LED";
        case CLASS_SP:
            return "SP";
        case CLASS_ASIC:
            return "ASIC";
        case CLASS_MAX:
            return "MAX";
        default:
            return "Cannot decode CLASS";
    }
}

//******************************************************************************
// attrToString<ATTR_EEPROM_CONTENT_TYPE>
//******************************************************************************

template<>
const char* attrToString<ATTR_EEPROM_CONTENT_TYPE> (
    AttributeTraits<ATTR_EEPROM_CONTENT_TYPE>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case EEPROM_CONTENT_TYPE_RAW:
            return "RAW";
        case EEPROM_CONTENT_TYPE_ISDIMM:
            return "ISDIMM";
        case EEPROM_CONTENT_TYPE_IBM_FRUVPD:
            return "IBM_FRUVPD";
        case EEPROM_CONTENT_TYPE_IBM_MVPD:
            return "IBM_MVPD";
        case EEPROM_CONTENT_TYPE_DDIMM:
            return "DDIMM";
        default:
            return "Cannot decode EEPROM_CONTENT_TYPE";
    }
}

//******************************************************************************
// attrToString<ATTR_ENGINE_TYPE>
//******************************************************************************

template<>
const char* attrToString<ATTR_ENGINE_TYPE> (
    AttributeTraits<ATTR_ENGINE_TYPE>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case ENGINE_TYPE_NA:
            return "NA";
        case ENGINE_TYPE_ENGINE_IIC:
            return "ENGINE_IIC";
        case ENGINE_TYPE_ENGINE_SCOM:
            return "ENGINE_SCOM";
        default:
            return "Cannot decode ENGINE_TYPE";
    }
}

//******************************************************************************
// attrToString<ATTR_FSI_MASTER_TYPE>
//******************************************************************************

template<>
const char* attrToString<ATTR_FSI_MASTER_TYPE> (
    AttributeTraits<ATTR_FSI_MASTER_TYPE>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case FSI_MASTER_TYPE_MFSI:
            return "MFSI";
        case FSI_MASTER_TYPE_CMFSI:
            return "CMFSI";
        case FSI_MASTER_TYPE_NO_MASTER:
            return "NO_MASTER";
        default:
            return "Cannot decode FSI_MASTER_TYPE";
    }
}

//******************************************************************************
// attrToString<ATTR_KEY_CLEAR_REQUEST>
//******************************************************************************

template<>
const char* attrToString<ATTR_KEY_CLEAR_REQUEST> (
    AttributeTraits<ATTR_KEY_CLEAR_REQUEST>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case KEY_CLEAR_REQUEST_NONE:
            return "NONE";
        case KEY_CLEAR_REQUEST_ALL:
            return "ALL";
        case KEY_CLEAR_REQUEST_OS_PK:
            return "OS_PK";
        case KEY_CLEAR_REQUEST_PEF_SSO:
            return "PEF_SSO";
        case KEY_CLEAR_REQUEST_POWERVM_SYSKEY:
            return "POWERVM_SYSKEY";
        case KEY_CLEAR_REQUEST_MFG:
            return "MFG";
        case KEY_CLEAR_REQUEST_RESERVED:
            return "RESERVED";
        default:
            return "Cannot decode KEY_CLEAR_REQUEST";
    }
}

//******************************************************************************
// attrToString<ATTR_KEY_TRANSITION_STATE>
//******************************************************************************

template<>
const char* attrToString<ATTR_KEY_TRANSITION_STATE> (
    AttributeTraits<ATTR_KEY_TRANSITION_STATE>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case KEY_TRANSITION_STATE_KEY_TRANSITION_NOT_REQUESTED:
            return "KEY_TRANSITION_NOT_REQUESTED";
        case KEY_TRANSITION_STATE_KEY_TRANSITION_STARTED:
            return "KEY_TRANSITION_STARTED";
        case KEY_TRANSITION_STATE_KEY_TRANSITION_FAILED:
            return "KEY_TRANSITION_FAILED";
        case KEY_TRANSITION_STATE_KEY_TRANSITION_SUCCEEDED:
            return "KEY_TRANSITION_SUCCEEDED";
        default:
            return "Cannot decode KEY_TRANSITION_STATE";
    }
}

//******************************************************************************
// attrToString<ATTR_MFG_WRAP_TEST_ABUS_LINKS_SET>
//******************************************************************************

template<>
const char* attrToString<ATTR_MFG_WRAP_TEST_ABUS_LINKS_SET> (
    AttributeTraits<ATTR_MFG_WRAP_TEST_ABUS_LINKS_SET>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case MFG_WRAP_TEST_ABUS_LINKS_SET_SET_NONE:
            return "SET_NONE";
        case MFG_WRAP_TEST_ABUS_LINKS_SET_SET_1:
            return "SET_1";
        case MFG_WRAP_TEST_ABUS_LINKS_SET_SET_2:
            return "SET_2";
        default:
            return "Cannot decode MFG_WRAP_TEST_ABUS_LINKS_SET";
    }
}

//******************************************************************************
// attrToString<ATTR_MODEL>
//******************************************************************************

template<>
const char* attrToString<ATTR_MODEL> (
    AttributeTraits<ATTR_MODEL>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case MODEL_NA:
            return "NA";
        case MODEL_RESERVED:
            return "RESERVED";
        case MODEL_VENICE:
            return "VENICE";
        case MODEL_MURANO:
            return "MURANO";
        case MODEL_NAPLES:
            return "NAPLES";
        case MODEL_NIMBUS:
            return "NIMBUS";
        case MODEL_CUMULUS:
            return "CUMULUS";
        case MODEL_AXONE:
            return "AXONE";
        case MODEL_CENTAUR:
            return "CENTAUR";
        case MODEL_OCMB:
            return "OCMB";
        case MODEL_JEDEC:
            return "JEDEC";
        case MODEL_CDIMM:
            return "CDIMM";
        case MODEL_POWER8:
            return "POWER8";
        case MODEL_POWER9:
            return "POWER9";
        case MODEL_CECTPM:
            return "CECTPM";
        case MODEL_BMC:
            return "BMC";
        case MODEL_AST2500:
            return "AST2500";
        case MODEL_PCA9847:
            return "PCA9847";
        case MODEL_UCD9090:
            return "UCD9090";
        case MODEL_UCD90120A:
            return "UCD90120A";
        default:
            return "Cannot decode MODEL";
    }
}

//******************************************************************************
// attrToString<ATTR_PAYLOAD_KIND>
//******************************************************************************

template<>
const char* attrToString<ATTR_PAYLOAD_KIND> (
    AttributeTraits<ATTR_PAYLOAD_KIND>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case PAYLOAD_KIND_UNKNOWN:
            return "UNKNOWN";
        case PAYLOAD_KIND_PHYP:
            return "PHYP";
        case PAYLOAD_KIND_SAPPHIRE:
            return "SAPPHIRE";
        case PAYLOAD_KIND_NONE:
            return "NONE";
        default:
            return "Cannot decode PAYLOAD_KIND";
    }
}

//******************************************************************************
// attrToString<ATTR_PROC_COMPATIBILITY_REQ>
//******************************************************************************

template<>
const char* attrToString<ATTR_PROC_COMPATIBILITY_REQ> (
    AttributeTraits<ATTR_PROC_COMPATIBILITY_REQ>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case PROC_COMPATIBILITY_REQ_ALLOW_COMPATIBILITY:
            return "ALLOW_COMPATIBILITY";
        case PROC_COMPATIBILITY_REQ_FORCED_COMPATIBILITY:
            return "FORCED_COMPATIBILITY";
        case PROC_COMPATIBILITY_REQ_FORCED_NATIVE:
            return "FORCED_NATIVE";
        default:
            return "Cannot decode PROC_COMPATIBILITY_REQ";
    }
}

//******************************************************************************
// attrToString<ATTR_RISK_LEVEL_ORIGIN>
//******************************************************************************

template<>
const char* attrToString<ATTR_RISK_LEVEL_ORIGIN> (
    AttributeTraits<ATTR_RISK_LEVEL_ORIGIN>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case RISK_LEVEL_ORIGIN_USER:
            return "USER";
        case RISK_LEVEL_ORIGIN_MRW:
            return "MRW";
        default:
            return "Cannot decode RISK_LEVEL_ORIGIN";
    }
}

//******************************************************************************
// attrToString<ATTR_TYPE>
//******************************************************************************

template<>
const char* attrToString<ATTR_TYPE> (
    AttributeTraits<ATTR_TYPE>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case TYPE_NA:
            return "NA";
        case TYPE_SYS:
            return "SYS";
        case TYPE_NODE:
            return "NODE";
        case TYPE_DIMM:
            return "DIMM";
        case TYPE_MEMBUF:
            return "MEMBUF";
        case TYPE_PROC:
            return "PROC";
        case TYPE_EX:
            return "EX";
        case TYPE_CORE:
            return "CORE";
        case TYPE_L2:
            return "L2";
        case TYPE_L3:
            return "L3";
        case TYPE_L4:
            return "L4";
        case TYPE_MCS:
            return "MCS";
        case TYPE_MBA:
            return "MBA";
        case TYPE_XBUS:
            return "XBUS";
        case TYPE_ABUS:
            return "ABUS";
        case TYPE_PCI:
            return "PCI";
        case TYPE_DPSS:
            return "DPSS";
        case TYPE_APSS:
            return "APSS";
        case TYPE_OCC:
            return "OCC";
        case TYPE_PSI:
            return "PSI";
        case TYPE_FSP:
            return "FSP";
        case TYPE_PNOR:
            return "PNOR";
        case TYPE_OSC:
            return "OSC";
        case TYPE_TODCLK:
            return "TODCLK";
        case TYPE_CONTROL_NODE:
            return "CONTROL_NODE";
        case TYPE_OSCREFCLK:
            return "OSCREFCLK";
        case TYPE_OSCPCICLK:
            return "OSCPCICLK";
        case TYPE_REFCLKENDPT:
            return "REFCLKENDPT";
        case TYPE_PCICLKENDPT:
            return "PCICLKENDPT";
        case TYPE_NX:
            return "NX";
        case TYPE_PORE:
            return "PORE";
        case TYPE_PCIESWITCH:
            return "PCIESWITCH";
        case TYPE_CAPP:
            return "CAPP";
        case TYPE_FSI:
            return "FSI";
        case TYPE_EQ:
            return "EQ";
        case TYPE_MCA:
            return "MCA";
        case TYPE_MCBIST:
            return "MCBIST";
        case TYPE_MI:
            return "MI";
        case TYPE_DMI:
            return "DMI";
        case TYPE_OBUS:
            return "OBUS";
        case TYPE_SBE:
            return "SBE";
        case TYPE_PPE:
            return "PPE";
        case TYPE_PERV:
            return "PERV";
        case TYPE_PEC:
            return "PEC";
        case TYPE_PHB:
            return "PHB";
        case TYPE_SYSREFCLKENDPT:
            return "SYSREFCLKENDPT";
        case TYPE_MFREFCLKENDPT:
            return "MFREFCLKENDPT";
        case TYPE_TPM:
            return "TPM";
        case TYPE_SP:
            return "SP";
        case TYPE_UART:
            return "UART";
        case TYPE_PS:
            return "PS";
        case TYPE_FAN:
            return "FAN";
        case TYPE_VRM:
            return "VRM";
        case TYPE_USB:
            return "USB";
        case TYPE_ETH:
            return "ETH";
        case TYPE_PANEL:
            return "PANEL";
        case TYPE_BMC:
            return "BMC";
        case TYPE_FLASH:
            return "FLASH";
        case TYPE_SEEPROM:
            return "SEEPROM";
        case TYPE_TMP:
            return "TMP";
        case TYPE_GPIO_EXPANDER:
            return "GPIO_EXPANDER";
        case TYPE_POWER_SEQUENCER:
            return "POWER_SEQUENCER";
        case TYPE_RTC:
            return "RTC";
        case TYPE_FANCTLR:
            return "FANCTLR";
        case TYPE_OBUS_BRICK:
            return "OBUS_BRICK";
        case TYPE_NPU:
            return "NPU";
        case TYPE_MC:
            return "MC";
        case TYPE_TEST_FAIL:
            return "TEST_FAIL";
        case TYPE_MFREFCLK:
            return "MFREFCLK";
        case TYPE_SMPGROUP:
            return "SMPGROUP";
        case TYPE_OMI:
            return "OMI";
        case TYPE_MCC:
            return "MCC";
        case TYPE_OMIC:
            return "OMIC";
        case TYPE_OCMB_CHIP:
            return "OCMB_CHIP";
        case TYPE_MEM_PORT:
            return "MEM_PORT";
        case TYPE_I2C_MUX:
            return "I2C_MUX";
        case TYPE_PMIC:
            return "PMIC";
        case TYPE_LAST_IN_RANGE:
            return "LAST_IN_RANGE";
        default:
            return "Cannot decode TYPE";
    }
}

//******************************************************************************
// attrToString<ATTR_FORCE_SBE_UPDATE>
//******************************************************************************

template<>
const char* attrToString<ATTR_FORCE_SBE_UPDATE> (
    AttributeTraits<ATTR_FORCE_SBE_UPDATE>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case FORCE_SBE_UPDATE_NO:
            return "NO";
        case FORCE_SBE_UPDATE_BAR_MISMATCH:
            return "BAR_MISMATCH";
        default:
            return "Cannot decode FORCE_SBE_UPDATE";
    }
}

//******************************************************************************
// attrToString<ATTR_CHIP_VER>
//******************************************************************************

template<>
const char* attrToString<ATTR_CHIP_VER> (
    AttributeTraits<ATTR_CHIP_VER>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case CHIP_VER_DD10:
            return "DD10";
        case CHIP_VER_DD11:
            return "DD11";
        case CHIP_VER_DD20:
            return "DD20";
        case CHIP_VER_DD21:
            return "DD21";
        default:
            return "Cannot decode CHIP_VER";
    }
}

//******************************************************************************
// attrToString<ATTR_HW_VER>
//******************************************************************************

template<>
const char* attrToString<ATTR_HW_VER> (
    AttributeTraits<ATTR_HW_VER>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case HW_VER_FSP_HW_VER:
            return "FSP_HW_VER";
        case HW_VER_BMC_HW_VER:
            return "BMC_HW_VER";
        default:
            return "Cannot decode HW_VER";
    }
}

//******************************************************************************
// attrToString<ATTR_ROLE>
//******************************************************************************

template<>
const char* attrToString<ATTR_ROLE> (
    AttributeTraits<ATTR_ROLE>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case ROLE_PRIMARY:
            return "PRIMARY";
        case ROLE_BACKUP:
            return "BACKUP";
        default:
            return "Cannot decode ROLE";
    }
}

//******************************************************************************
// attrToString<ATTR_SW_VER>
//******************************************************************************

template<>
const char* attrToString<ATTR_SW_VER> (
    AttributeTraits<ATTR_SW_VER>::Type const& i_attrValue)
{
    switch(i_attrValue)
    {
        case SW_VER_FSP_SW_VER:
            return "FSP_SW_VER";
        case SW_VER_BMC_SW_VER:
            return "BMC_SW_VER";
        default:
            return "Cannot decode SW_VER";
    }
}

} // End namespace TARGETING

